# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

init python:

    class timeClass:
        def __init__(self):
            self.curTime

    class itemClass:
        def __init__(self, name, equipslot, effectlist):
            self.name = name
            self.equipslot = equipslot
            self.effectlist = effectlist

    class mapUnlockClass:
        def __init__(self):
            self.downtownRedlight = None

    class skillClass:
        def __init__(self):
            self.bj = 0
            self.vsex = 0
            self.asex = 0
            self.tj = 0

    class characterClass:
        def __init__(self, name, color, maxHP, maxAP):
            self.name = name
            self.color = color
            self.maxHP = maxHP
            self.curHP = self.maxHP
            self.maxAP = maxAP
            self.curAP = self.maxAP
            self.Smarts = 0
            self.Strength = 0
            self.Survivability = 0
            self.Sluttiness = 0
            self.Seduction = 0
            self.skills = skillClass()

        def getMaxHP(self):
            return self.curHP

        def getCurHP(self):
            return self.curHP

        def getMaxAP(self):
            return self.curHP

        def getCurAP(self):
            return self.curHP

    class npcCharacterClass(characterClass):
        def __init__(self, name, color, maxHP, maxAP, disposition):
            characterClass.__init__(self, name, color, maxHP, maxAP)
            self.dispositionPlayer = disposition

    class playerCharacterClass(characterClass):
        def __init__(self, name, color, maxHP, maxAP, inventory):
            characterClass.__init__(self, name, color, maxHP, maxAP)
            characterClass.Smarts = 1
            characterClass.Strength = 2
            characterClass.Strength = 2
            characterClass.Sluttiness = 3
            characterClass.Seduction = 2
            self.inventory = inventory
            self.equipment = {"Clothes" : {"Top" : None, "Bottom" : None}, "Jewellery" : {"Neck" : None, "Ring" : None}, "Piercings" : {"Tongue" : None, "Navel" : None}}
            self.tattoos = {"Trampstamp" : None}
            self.exp = 0
            self.might = 0
            self.money = 0

    def wrapCharacter(char):
        return Character(char.name, color=char.color)

    def sexWork(char, type, payment):
        if (type == "ghbj"):
            char.exp += 20
            char.might += 5
            char.curAP -= 10
            char.skills.bj += 10
            char.money += payment

    def sleep(char):
        char.curAP = char.maxAP
        heal(char,(char.maxHP/10))

    def heal(char, amount):
        char.curHP += amount
        if (char.curHP > char.maxHP):
            char.curHP = char.maxHP

init:

    $ true = "true" # or whatever != None for easier coding and better readability

    python:
        mapUnlock = mapUnlockClass()
        playerInventory = {} # dummy
        playerInventory["Pants"] = itemClass("Your lucky pants, plus they are your only pants", "lowerBody", None)
        player = playerCharacterClass('[playerName]', '#CC66DD', 100, 100, playerInventory)
        character = {}
        character["UnknownHooker"] = npcCharacterClass("Unknown Hooker", '#CC0066', 50, 100, 0)
        character["HostelOwner"] = npcCharacterClass("Slimy Joe", '#774411', 100, 100, 10)
        character["Marjorie"] = npcCharacterClass("Marjorie", '#CC0099', 250, 100, 25)
        character["Katrina"] = npcCharacterClass("Katrina", '#BB1177', 100, 100, 25)

    $ Player = wrapCharacter(player)
    $ UnknownHooker = wrapCharacter(character["UnknownHooker"])
    $ HostelOwner = wrapCharacter(character["HostelOwner"])
    $ Marjorie = wrapCharacter(character["Marjorie"])
    $ Katrina = wrapCharacter(character["Katrina"])

    $ Mom = Character("Mom", color='#33BB33')
    $ Narrator = Character(None, color='#999999')

    $ sideBarImage = "profile_pants.png"

screen sideBar():

    # image eileen composite = Composite(
    # (300, 600),
    # (0, 0), "body.png",
    # (0, 0), "clothes.png",
    # (50, 50), "expression.png")

    vbox:
        frame:
            vbox:
                spacing 5
                hbox:
                    spacing 10
                    text "{size=15}HP: [player.curHP]/[player.maxHP]{/size}" xalign 0.0 yalign 0.00
                    bar value player.curHP range player.maxHP xalign 0.0 yalign 0.0 xmaximum 100 ymaximum 5 left_bar "#CC0000"

                hbox:
                    spacing 10
                    text "{size=15}AP: [player.curAP]/[player.maxAP]{/size}" xalign 0.0 yalign 0.0
                    bar value player.curAP range player.maxAP xalign 0.0 yalign 0.0 xmaximum 100 ymaximum 5 left_bar "#0000CC"

                hbox:
                    text "{size=10} Exp: [player.exp] {/size}"
                    text "{size=10} Might: [player.might] {/size}"
                    text "{size=10} Money: [player.money] {/size}"


        # replace with composition of body parts
        # face overlaid with hair (trasparent)
        # upper body, overlayed with necklace
        # 2 ring slots
        # lower body
        # shoes
        add sideBarImage

# The game starts here.

label start:

    show screen sideBar

    jump intro

label intro:

    Narrator "You just finished high school after long years of boring and tedious studies ... or that's what you think at least ..."
    Narrator "Today you came back from your summer vacation and it's late in the evening. You are lying on your bed, going through your facebook, when your mom rushes into your room and turns the lights on. You are blinded by the light"

    scene white

    Narrator "She begins to talk to you really fast and pressing and at first you can't understand what she is saying - she seems worried ... no not worried - it's something you never saw before - she seems to be genuine afraid. But why?"

    Mom "Listen carefully honey, dad and I have to run ... hide ... we need to ... I can't explain now ... please ... I am so sorry ... you need to run to your aunt Marjorie and stay with her. Tell her we have been found ... she'll understand ... and know what to do ... how to take care of you ... I hope."

    Narrator "You look at your mom startled - aunt Marjorie? - you hardly even know aunt Marjorie. Where would she be anyways? And WAAAAAAY more importently - why should you run? From what? From whom?"
    Narrator "So many question pop into your mind, but just when you are opening your mouth, your mom shuts you up with a movement of her arm."

    Mom "You need to run NOW! You can't be seen with us, maybe they won't figure out ... hopefully noone told ... "

    Narrator "She looks at you and takes you in her arms and presses you hard, then she grabs you by your hand and drags you to the backdoor. You can hear knocking on your frontdoor ..."
    Narrator "Your mom ushers you out and tell's you to go through your neighbours backyard and keep out of sight. You are supposed to look for aunt Marjorie at the highway leading to the industrial area."
    Narrator "You can hear the front door opening and want to ask your mom if she is crazy, but she just gives you a hard shove. That's the last straw. When you regain your balance your mom closes the door with a sorrow look on her face but trying to smile at you."
    Narrator "You are alone in the dark backyard now."

    scene black

    menu:
     "What should you do?"

     "Go around the house to the front door and look what's really up - your mom must have gotten mad.":
        jump gameover

     "Climb over the small fence to your neighbour and cross his property to reach the next street":
         Narrator "You heed your moms advice and head for the road to the industrial area."

    Narrator "You never been there after dawn, but you overheard some kids in school gossiping about the hookers standing there at night."
    Narrator "Why would your mom send you there? Why should aunt Marjorie be there?"

    scene street_industrial_area

    Narrator "After 5 minutes you reach the parkway. And really there are seemingly multiple hookers trying to earn some money. One looks at you with an unfriendly face."

    UnknownHooker "Move on kid! - This is our spot, havn't even finished school yet, but trying earn big time ehh?"

    Narrator "You don't correct her, but rather hurry further, watching left and right and keeping to the far side of the sidewalk."

    scene marjorie_w1

    Narrator "Is that aunt Marjorie? You are startled. That can't be? But what was she working anyway? She never seemed to work, at least as far as you knew, but that applied for your mom as well."
    Narrator "You stick to the shadows and eye her carefully. Should you just approach? Mom seemed to be really adamant in her command. While you are still musing a car comes to halt in front of the streetlight..."
    Narrator "She approachs the open window and starts to seemingly negotiate with the driver. You watch fascinated and a little turned on. You always envied the older slags at your school for their ability to get what they wanted from the boys. So growing up you tried to be more like them ... just your parents frowned upon it harshly."
    Narrator "While you are still contemplating, it seems that the driver and the whore have struck a bargain. He get's out and start's to fuck her against the car on the spot. Just like that."

    scene marjorie_w3

    Narrator "The woman starts to moan as the fat man grunts louder and louder... you take a step closer to see better."
    Narrator "Some leaves under your feet crackle and the hooker looks up - direct in your face. You see her confused look, but the man is just to busy to notice any of this. It's really your aunt Marjorie"
    Narrator "Just seconds later he is seemingly done. Your aunt get's on her knees to suck his dick clean, while he get's out some lower bills and hit's her in the face with it. He chuckles while she get's up and takes the bills out of his hands with a swift motion."
    Narrator "He get's in the car and drives away, while your aunt tidies her clothes and comes over to you. He didn't even say goodbye. You asumed that would be common courtesy?!"

    scene marjorie_meet

    Marjorie "Hey - aren't you - "

    python:
        playerName = renpy.input("Wait ... - what is your name?")
        playerName = playerName.strip()

        if not playerName:
             playerName = "Kiara"

    Player "Heyho aunt Marjorie..."

    Narrator "You look at her unsure what to say ... you just saw her ... you are releaved to see that she does not seem to care at all."

    Marjorie "[playerName] what are you doing here? At this time of night?"

    Player "Well you know, uhhh mom panicked for like no reason and threw me out of the house... ohh and she said to come and look for you ... she told me where to find you ..."
    Narrator "The look on your aunts face gets suspicious."
    Marjorie "What happened tell me fast, less stammering more talking"
    Player "I don't know mom just threw me out and said they were found."
    Marjorie "Then it happened at last."
    Narrator "She takes a break and you see sorrow appearing on her face."
    Marjorie "Well I always told her she should not have ran away, but no - the stupid cow had to fall in love ..."
    Player "You are surprised how your mom talks about her sister. What is this all about?"
    Marjorie "But since she sent you to me - that's against all she stood for ..., but maybe you are as well a ... but no that can't be ... can it? are you?"
    Player "Whaat?"
    Marjorie "Like your mom [playerName], are you like your mom?"
    Player "I don't now? Wait nooo no I am very different, I would never  behave like her ..."
    Narrator "Your aunt looks annoyed and so you quit your blabbering and just ask"
    Player "What do you mean? I don't understand."
    Marjorie "So she never told you that she was turned into a succubus and ran away a day later? Because she fell in love with the second guy she sucked off?"
    Narrator "You just look at her confused."
    Marjorie "Wow even greater - just as I expected from my haugthy sister. So you have no clue? Well if she didn't turn you - why should you be ... on the other hand are succubi supposed to be sterile and here you are..."
    Marjorie "There is only one sure way to find out... But under these circumstances, we have to do it and we need to leave anyway, if they found your mom, they'll probably come to ask me out again. Then you shouldn't be around."
    Marjorie "Follow me, I'll tell you more on the way."
    Narrator "Your aunt hastes along the street, sticking to the shadows and drags you with her at her hand. You are confused you are heading back? Then you notice your aunt is heading straight to a taxi booth. She opens the backdoor and helps you in, then follows after you"
    Marjorie "To the main train station please."

    Narrator "The driver just nods and starts the engine. Train station? What? But after a while of hard thinkingit dawns on you, that she maybe want's to leave by train. Yea that must be it."
    Narrator "When you arrive at then train station your aunt pays the driver including a big tip and you to hastly leave the cab."
    Marjorie "Alright now let's find somewhere for you to stay and then ..."
    Narrator "The rest is unintelligible. You follow you aunt around the train station and into a smaller road. This is the cheap but busy part of the town, bars, nightclubs, hostels ..."
    Narrator "Your aunt Marjorie heads straight to a dirty building  - apparently a youth hostel, called the \"travelling D\". Your aunt instructs you."
    Marjorie "Keep your mouth shut when we are inside, stick around but try to look like a tourist."

    scene hostel_lobby

    Narrator "When you enter the hostel your aunt wents straight to the clerk and starts to talk with him. You overhear her saying that she needs a place to stay for a few weeks for her nie ... uhhm neeew aquiantance she made."
    Narrator "The older clerk looks you over. \"Also\" your aunt goes on \"Could I use your special facilities please?\ - I know you said you can't do that any more for me - but I know for a fact that you let katrina in from time to time."
    Narrator "The man starts to frown, and your aunt starts to beg \"Please Joe, please listen Joe, I'll make it up to you, I'll honor our usual deal and even give you aunt0 bucks on top. I wasn't able to finish my shift.\""
    Narrator "The clerk hesitates shortly and then nods \"You know, sometimes they come and ask me about you... - this is the last time, it's getting to risky. And this time you pay upfront. \" Your aunt looks at him but doesn't say a word."
    Narrator "He puts up a sign saying 'Be back in 10 minutes, please wait in the lobby' and walks down the hallway to the backentrance of the building. Your aunt follows him not looking at you."
    Narrator "You are unsure what to do and decide to sneak after them in some distance."

    scene marjorie_bj

    Narrator "When you reach the backyard it seems empty, but you hear faint noises. As you spy around the corner you see Marjorie blowing the clerk. What's going on with her?"
    Narrator "You decide to head back to the lobby and wait there."
    scene hostel_lobby
    Narrator "Soon later the two arrive back in the lobby, your aunt looks a bit derranged. The clerk hands your aunt a key from behind his desk. \"I'll tell some guys that the booth is manned\" you hear him say. Your aunt thanks him heartfully."
    Narrator "Then aunt Marjorie nods at you and you follow her down the hallway and to a stairflight down to the cellar. Your aunt sits down on the cold stairs and faces you to talk to you. Her clothes are displaced and she looks upheaveled."

    show majorie_stairs at right

    Marjorie "Ok listen, I got you a place to stay for the night and he hopefully won't tell anyone about you."
    Marjorie "I can't stick around - I have to leave, they are on to me due to my dear sister - Joe confirmed my suspicions. It's better for the both of us and you are a grown woman anyway - well at least in the eyes of the world."
    Narrator "You are annoyed - who does she think you are? Maybe you should have acted up more and protested?"
    Marjorie "But before I leave - one more thing ... I just have to know ... need to know ..."

    Narrator "She get's up and walks over into the woman's bathroom. There she goes to the last stall - no it seems to be the maintenance closet and opens it with the key given to her by the clerk. She let's you enter and closes and locks the door behind you two."
    Narrator "As you look around you notice that there isn't any cleaning equipment laying around, actually the closet is entirely empty."
    Narrator "While you are still wondering what the meening of all this is, the lights are turned on in an adjacent room and you see light falling through a round hole at knee-heigth."
    Narrator "Wait is this a gloryhole? You saw porn like that - but you know it's the internet..."

    scene empty_gh

    Narrator "Seconds later your suspicions are confirmed, because three things happen, first you hear pants dropping on the other side of the wall, secondly your aunt get's on her knees and third a dick appears through the hole."
    Narrator "You look at your aunt - and think really? again?"
    Narrator "She looks up and and pats the floor next to her - she wants you to kneel beside her? You don't move so she whispers:"

    Marjorie "Don't tell me you don't know what to do? We are here to find out if you are a SUCcubus right? I paid a lot of money and even worse much might so that you can have a shot."
    Narrator "You are still confused, she asked you whether you were a succubus and she expects you to know what succubi do? If you had to guess - suck - at whatever. And shot? Really? Also what might? What 'might' happen is that you leave."
    Narrator "But your aunt senses your resistance and grabs your hand forcefully, with amazing strength and drags you to your knees so you give in, kneel down and whisper back:"
    Player "I still don't know what succubi are or what you want from me."
    Marjorie "Really? You never came upon stories about nymphomaniacs with magic abilities? I got no time to explain now  - I just want you to blow this dick until he cums and then swallow his semen - if you are a succubus we'll know then."
    Narrator "Suddenly the man on the other side of the wall starts to move, it seems, that he has decided, that there are no services offered here after all. With amazing speed your aunt grabs his dick and pulls him through the hole."
    Narrator "The man gasps loudly, but otherwise stands still, while your aunt takes his penis into her mouth, still holding his cock with her hand close to the base. As the man relaxes, your aunt removes her hand and starts to suck enthusiastically."

    scene marjorie_gh

    Narrator "Your aunt continues to suck him until he is breathing heavily, then she takes her mouth of the dick and looks at you."

    menu:
     "What are you supposed to do now?"

     "You get up and try to leave.":
        jump gameover

     "Take the dick in your mouth and suck the tip.":
        "You do as expected and start to suck his dick, trying to recall what you know about blowjobs - but only don't use your teeth comes to mind and you are already busy doing that."

    scene first_gh

    Narrator "Moments later he starts to cum and you pull back, so that the cum lands all over your face. Not what your aunt intended apparently as she stares at you angrily."
    Narrator "The taste of the spunks of sperm that landed in your mouth is awful, salty and strong. While the dick gets drawn back you face your aunt. You are sure she is mad, but why? She starts to smear the cum into your mouth and you are to intimidated to resist."
    Marjorie "Swallow you moron, I said swallow."
    Narrator "Not wanting to drown on cum, you quickly swallow the disgusting liquid."
    Narrator "..."

    scene white

    Narrator "... ..."
    Narrator "Intense feelings of power mixed with pure lust rush through your body. You are shaking and flexing your muscles. From far away you can hear your aunt saying something ... it's hard to make out the words"
    Marjorie "... succubus, now we ... proof of ..."
    Narrator "You feel the intense outburst slowly dying down."
    Marjorie "... remember my first time. But I think the better comparison would be my turning, but that was no where near intense as yours. I wonder if that means that your powers ... I heard stories of ancient, naturally born succubi who wielded incredible power."
    Marjorie "That's the reason its shunned I guess."
    Narrator "You are still bathing in your feelings and only listen with half an ear."
    Marjorie "This makes it even worse, maybe the elders can feel your outburst? I need to leave, so they can't feel our combined power so close together and as blood relatives."
    Narrator "Since you still don't seem to listen or behave normally, your aunt starts to shake you slightly"
    Narrator "You open your eyes"

    $ sexWork(player, "ghbj" , 0)
    scene empty_gh

    Marjorie "Listen carefully, I do need to leave now. But I'll contact you I promise. Maybe you are the key to breaking up the elders surpression."
    Narrator "She looks at you interested"
    Marjorie "Anyway you are probably hooked on cum now seeing the state you are in - so sooner or later you will want more and more..."
    Marjorie "You need to hide in plain sight - so that no deamon get's suspicious, and there is only one person I can trust."
    Marjorie "I turned her myself. She is the only one. She had some nasty illnesses and it was the only way to save her."
    Marjorie "Her name is Katrina. I'll give you my necklace ..."
    Narrator "(what an archetypical rpg start you think to yourself)"
    Marjorie "... show it to her. She'll know its from me."
    Narrator "She takes down her necklace and presses it into your sweaty palm."
    Marjorie "Tell her she needs to find you some work and most importently teach you what you need to know. And tell her to say that she turned you. Remember that, that's important. See you around kid, good luck."
    Narrator "With those words your aunt rushes outside leaving the keys to the gloryhole booth lying on the floor."

    Narrator "You take the keys, thinking about running after her. But you already noticed, that today nothing goes as you would like. So instead you put on her necklace and lock the door of the gloryhole booth behind you."

    $ playerInventory["auntNecklace"] = itemClass("The necklace your aunt gave you, to show it to some Karin? No Katrina? Katrina? ", "Neck", None)
    $ playerInventory["hostelGHKey"] = itemClass("Keys to the gloryhole booth at the 'travelling D'", None, None)

    Narrator "After taking a deep breath and cleaning up your face at the sink. You start to walk uo the stairs and wonder - will you ever see your aunt again?"

    scene hostel_lobby

    Narrator "As you reach the hostel 'lobby' you walk right into the clerk - he grins at you."
    HostelOwner "Hey cutie, my name is Joe, I am the owner of this nice hostel. Marjorie payed your rent for the whole week. She even got you my best single room. I bet you are really grateful."
    Narrator "You force yourself to a smile and nod as he hands you over the keys."
    HostelOwner "Oh and before I forget it, hand over the keys for the room downstairs you little minx."
    Narrator "He says with a wink. You hand over the other keys, thinking that you made a great deal. You steel yourself and look him directly in the eyes."
    Player "Thanks a lot Joe."

    $ playerInventory["hostelGHKey"] = Null
    $ playerInventory["hostelRoomKey"] = itemClass("Keys to your room at the 'travelling D'", None, None)

    Narrator "You take the stairs up in search of your room. You are tired and just want to sleep."

    scene  hostel_floor

    Narrator "The second floor actually looks a lot nicer then expected, old and a bit worn, but somehow classy. After a short search you find your room and open it with the key."

    scene  hostel_room

    Narrator "You cant wait to get rid of your clothes and go to bed."

    $ sideBarImage = "profile_nude.png"
    show screen sideBar

    menu:

        "Go to sleep":
            $ sleep(player)

    Narrator "The next morning you wake up and need a couple of seconds to remember how you got here. What a strange night."
    Narrator "You get up and wonder what to do..."

    menu:

        "Maybe you should get dressed?":
            $ sideBarImage = "profile_pants.png"

    Narrator "No to the real issue at hand? What are you going to do? Should you try to run to another city? Trying to hide far away from home?"
    Narrator "Your subconciousness hs already decided it seems, as it reminds you with a certain hunger on the extatic feelings you had yesterday in the gloryhole."
    Narrator "Your aunt wanted you to find a certain Cathrine ... maybe you should start from there and decide lateron?"
    Narrator "But your aunt didn't tell you where to find her, so you'll have to ask someone. The only person that comes to your mind is Joe ... the hostel owner ..."

    menu:

        "Go to the lobby and ask Joe":
            scene hostel_lobby

    Narrator "You go down to the lobby in search of the hostel owner, but you bump into him infront of the staff room on the ground floor."

    Player "Hey Joe, uhhm I wanted to ask you euhhh ... well maybe you ... do you know someone called Cathrine?"
    HostelOwner "Morning [playerName]. A Cathrine? A few years back I employed cleaning lady by that name, but she moved away, must be in her 60s now."
    Narrator "That does not seem right ... maybe you remembered her name wrong?"
    Player "Was she a ... friend of my au... uhh of Marjorie?"
    Narrator "You quickly think of things to say hoping he wouldn't notice your slipup"
    Player "Do you know that? That could be, couldn't it? I mean if they both knew you back then ..."
    Narrator "[HostelOwner.name] just slily smiles at you. Is he on to something?"
    Narrator "[HostelOwner.name]s demanor changes entirely"
    HostelOwner "Look at you. You got something to hide don't you? au ... Mmmarjorie? I remember how she left in a hurry and she seemed very nervous to me ..."
    HostelOwner "... and now that I think about it - what was she calling you before she stopped herself? Her niece? I didn't think much about it yesterday - but now?"
    Narrator "You look at him in awe."
    Player "Abb 'bout Cathrine ..."
    Narrator "Joe interrupts you."
    HostelOwner "Stop trying to confuse me kid. I know something is fishy about you. But I may be persuaded to stay quiet for a while. Heck - I guess I even know whom you are looking for."
    Narrator "Your face starts to lighten up, maybe Joe can help you afterall? Joe looks at you and grins. You got the feeling he got you where he wanted you."
    HostelOwner "Well I would like to help you. But I am in dire need myself. Let me explain it to you in my room."
    Narrator "He opens the door to the staff room and holds it open for you. The staff room looks worn and somehow dirty."

    scene hostel_staff

    menu:

        "You are disgusted but also to curious to backout now":
            Narrator "Joe enters the room after you and closes the door from the inside."

    Narrator "Joe sits down and eyes you from head to toe. You ponder if it was a good idea to enter here. What is he going to want?"
    HostelOwner "See over the years a lot of young girls came to me and asked various favors from me. And I always got one in return. Thats how it works around here."
    Narrator "Can't he be straight and say what he wants? Selfies like the other old geezers? Money like he extorted from aunt Marjorie? Or ... well aunt Marjorie also gave him a blowjob..."
    Narrator "You shiver slightly on that thought, was it disgust? Was it the longing for a reward, like the one you received yesterday? No ... not that. Joe still eyes you and you get even more nervous so you blurt out:"
    Player "Then tell me what you want finally."
    Narrator "Joe starts to explain unnecessary elaboratly."
    HostelOwner "You know what your aunt gave me ... and trust me when I say she got a good deal. Most bitches gave me even more."
    Narrator "His demeanor became threatning and aggressive all of a sudden."
    Narrator "But the he leans back and smiles:"
    HostelOwner "Of course since you are new, the favor I ask will be much more modest. Also I am not even sure if you are a succubus and even if as green as you are you won't have any might to give and wouldn't even know how."
    Narrator "So what does he want then? Also giving might? You recall what your aunt said yesterday. Exchange of might? Like the money he extortet?"
    Player "So then tell me what you want now."
    Narrator "I want you to come here to me sweetie and coudle a bit with me old man. You know I am lonely at night and some young bad warmer like you works wonders."
    Narrator "Cuddling? With him? Wow why couldn't he just go with the bj?"
    Narrator "When Joe sees you hesitating he takes your hand drags you to him and says:"
    HostelOwner "And I will even tell you what you want to know."
    Narrator "You are confused and feel nauseous but give in. Hopefully it's over soon."

    image Joe_1st = Movie(play="Joe_1st.webm")

    show Joe_1st xcenter at topright

    Narrator "You end up sitting partly on his lap and he instantly starts to force a kiss on you. Startled and afraid you give in. He smells awfully."
    Narrator "But after a while you notice that his kissing is actually pretty good - he is a much better kisser then the boys you had in highschool. Still - you are digusted."
    Narrator "You wonder when he is going to stop. You are trying harder and harder to pull away and he finally releases you."

    hide Joe_1st

    HostelOwner "I'll let that count even though you didn't put much love into it sweetheart."
    Narrator "You got enough of his pet names. And now he owes you. BIG TIME."
    Player "Now tell me who am I looking for."
    HostelOwner "Watch you attitude bitch. I could tell some people about you and your aunt, I guess they would be interested."
    HostelOwner "On the other hand I don't want to use my new favorite plaything. But that can change quickly."
    Narrator "He eyes you again - seemingly contemplating what to do."
    HostelOwner "Alright listen up [playerName] - I guess you are looking for a Katrina. Not a Catherine. Marjorie hardly knew Catherine, but she came in here often with Katrina. Just like she did with you."
    HostelOwner "Infact she was the one who introduced us."
    Narrator "You look at him with raised eyebrows. Katrina? Yea now that he says it ... that was her name. What a slipup you should focus more in the future."
    Player "Can you tell me NOW where I can find her?"
    HostelOwner "Watch it. You want something from me, remember?"
    HostelOwner "Anyway - at this time of day you will propably find her street walking just behind the train station, trying to get some early customers of the books."
    HostelOwner "She is small and has black hair ... and an amazing ass. But smokes to much for my liking."
    Narrator "The hypocrisy was obviously lost on him."
    HostelOwner "But whatever - tell the slut I said 'hi'."

    $ mapUnlock.downtownRedlight = true

    menu:

        "Go to the Streetwalkers behind the downtown trainstation." if (mapUnlock.downtownRedlight != None):
            "You leave the youth hostel and head back towards the central train station."

    scene downtown_redlight

    show katrina_meet at right

    Narrator "Walking down the street you see a hooker fitting Joe's description."

    hide katrina_meet

    show katrina_talk at right

    Player "Hi, I am looking for a Katrina are you ..."
    Narrator "The hooker looks at you interested."
    Katrina "I am Katrina, are you looking for a good time?"
    Narrator "She eyes you up and down."
    Player "Ohh uhm Joe told me where to find you ... uh Marjorie? yea uh Marjorie told me to talk to you."
    Narrator "you whisper. Katrinas face changes from professional to annoyed and finally settles for perplexity."
    Katrina "Marjorie wants you to talk to me?"
    Narrator "She inspects you doubtfully."
    Katrina "About what? Who are you anyway?"
    Player "Oh I am sorry, I am Marjories ..."
    Narrator "You pause, but then decide that you have to trust her and blurt out."
    Player "I am Marjories niece, my mom send me away yesterday and told me to talk to her and then Marjorie sends me away again to talk to you."
    Narrator "Suddenly you feel very anxious and you just want to tell someone what you experienced."
    Player "Yesterday was horrible ... I had to run from home ... Marjorie told me you could help me."
    Narrator "Now the only facial expression you see on Katrina is confusion - she must take you for a madwoman."
    Narrator "You fish for her Necklace from inside your sweater and show it to her."
    Player "She gave me this to proof you that she really told me to look for you."
    Narrator "Katrina looks you over again - as if assessing if you are a thread. Finally she comes to a conclusion and says."
    Katrina "Whatever happened - we can't talk about it here. Follow me and let's pretend you are a customer."
    Narrator "She walks into the next courtyard and leeds you to a small door into a dimlit rear house."
    Narrator "She opens the first door to the left and lets you pass before she enters after you and sits on the bed - leaving the empty chair for you."

    scene brothel_katrina

    Katrina "Alright here we are - now tell me what's going on."
    Narrator "You tell her the whole story since your mom came into your room yesterday."
    Narrator "Katrina looks at you with growing dismay. When you have finished at last she cocks her head and says:"
    Katrina "So your mother is the woman Marjorie often talked about. The succubus runaway? And you are her daugther? And after what you told me just now you are a succubus as well?"
    Narrator "You just nod"
    Katrina "Wow. And you don't know a thing about any of this do you?"

    menu:

        "Nod again.":
            Katrina "Where do I even start. Well you heard about might - it gives us our 'magic' powers. Its something like the informal currency between deamons but also cements our hierachy."
            Katrina "The succubus carrying more might is the one who is more powerful. Hence the name. Also this leads to a feudal like system where lower daemons pay taxes to their supperiors in exchange for protection."

    Narrator "You look at her fascinated. That sounds just like a farytale - or a really far fetched RPG lore."
    Narrator "Katrina continues"

    Katrina "During sex the might can flow freely in both ways. Especially since bodily fluids are a good conductor. It depends only on the strength of your will and the amount of your might to controll who gains and who loses"
    Katrina "However if you are having sex with someone who is not a deamon - a succubus or a incubus - then the might is only released if your partner relaxes."
    Katrina "Deamons break down their barrier during the turning too be able to access and gather the might which transforms them - but to break down this barrier another deamon is needed. Therefor only deamons can turn humans."
    Katrina "But succubi are also barren - at least thats what I believed to be true until you came in and told me your story."
    Narrator "You don't answer so after a short break Katrina continues:"
    Katrina "Might improves and shapes your sense - your very nature of beeing a deamon. It can grand various perks - not only can it heal wounds and cure deseases - luckily also STDs"
    Narrator "She makes a short break and seems to think about something lying in the past and then continues"
    Katrina "Some can even stop their aging process or force people to do their bidding. Ohh an of course sex there are lots and lots of ways to use might before, during and also after sex."
    Narrator "She grins and winks at you."
    Narrator "..."
    Narrator "You look at her - thats a lot to take in. And that last one - was that? - did she just hit on you?"
    Player "Uhh Marjorie told me that you could get me work and that you shuld say that you turned me ..."
    Katrina "So you wouldn't appear out of nowhere? This is a bad idea, Stella forbade us to turn more humans."
    Player "Stella?"
    Katrina "The local succubus-queen. She controlls the downtown redlight district."
    Katrina "Usually she is quite fair, but in this case she was adamant, there is not enough might for all of us. With internet porn on the rise and all that..."
    Narrator "She keeps to herself a few seconds and after some thinking says:"
    Katrina "The only thing I can think of is that we call you a travelling succubus and hope that noone asks too many questions. Every travelling brethren has the right to stay in a district for two weeks."
    Katrina "That buys us time. Afterwards we need to find a new solution."
    Narrator "She pauses again."
    Katrina "About work - do you have any skills or experiences?"
    Player "I finished highschool."
    Narrator "You exclaim with pride in your voice. Katrina sighs"
    Katrina "That won't do us much good. If you truly are a succubus - and a strong one at that - then you'll be overwhelmed by hunger tomorrow evening and Joe won't let you use his gloryhole again."
    Katrina "He might seem like an asshole, but he cares for Marjorie - he won't go es far for you and that wouldn't be a lasting solution anyhow."
    Katrina "Can you dance? Are you experienced in bed? You sounded a bit unexperienced if I may say so."
    Narrator "Your face turns red."
    Player "Uhh - well I kissed a few boys and even gave one a blowjob in the back of his car after prom."
    Katrina "I take that as a no. What about dancing?"
    Player "Dancing? Like standard dance?"
    Katrina "Like table dancing... since you obviously won't hitup many guys on the street I thought that may help you and perhaps pay your bills."

    # This ends the game.


label gameover:

    Narrator "GAMEOVER - can't you listen? Just once?!"

    return
